Bug 310233 - Another Crash. You said to update but didn't tell me how.
Summary: Another Crash. You said to update but didn't tell me how.
Status: RESOLVED DUPLICATE of bug 285951
Alias: None
Product: amarok
Classification: Unclassified
Component: general (show other bugs)
Version: 2.5.0
Platform: Ubuntu Packages Linux
: NOR crash (vote)
Target Milestone: 2.7
Assignee: Amarok Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-11-16 22:32 UTC by maggieswebb
Modified: 2012-11-19 12:03 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description maggieswebb 2012-11-16 22:32:13 UTC
Application: amarok (2.5.0)
KDE Platform Version: 4.8.5 (4.8.5)
Qt Version: 4.8.1
Operating System: Linux 3.2.0-33-generic i686
Distribution: Ubuntu 12.04.1 LTS

-- Information about the crash:
- What I was doing when the application crashed:
I was just simply closing the application. The last time we were in contact you told me to update the software.  You didn't tell me how.  Please be detailed and specific.  More than just a couple of sentences please.  
Once I know how to update then I predict that my problems will be solved.
Thanks.

-- Backtrace:
Application: Amarok (amarok), signal: Segmentation fault
Using host libthread_db library "/lib/i386-linux-gnu/libthread_db.so.1".
[Current thread is 1 (Thread 0xb5e5eac0 (LWP 27735))]

Thread 13 (Thread 0xb4970b40 (LWP 27736)):
#0  0x0067c416 in __kernel_vsyscall ()
#1  0x00cca3eb in read () from /lib/i386-linux-gnu/libc.so.6
#2  0x0392d6ae in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#3  0x038eebd2 in g_main_context_check () from /lib/i386-linux-gnu/libglib-2.0.so.0
#4  0x038ef042 in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#5  0x038ef56b in g_main_loop_run () from /lib/i386-linux-gnu/libglib-2.0.so.0
#6  0x0433d134 in ?? () from /usr/lib/i386-linux-gnu/gio/modules/libdconfsettings.so
#7  0x039126b3 in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#8  0x0563ad4c in start_thread () from /lib/i386-linux-gnu/libpthread.so.0
#9  0x00cdad3e in clone () from /lib/i386-linux-gnu/libc.so.6

Thread 12 (Thread 0xb3fffb40 (LWP 27737)):
#0  0x0563dc64 in __pthread_mutex_unlock_usercnt () from /lib/i386-linux-gnu/libpthread.so.0
#1  0x00ce88a4 in pthread_mutex_unlock () from /lib/i386-linux-gnu/libc.so.6
#2  0x0392e410 in g_mutex_unlock () from /lib/i386-linux-gnu/libglib-2.0.so.0
#3  0x038ef09b in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#4  0x038ef56b in g_main_loop_run () from /lib/i386-linux-gnu/libglib-2.0.so.0
#5  0x03d721ba in ?? () from /usr/lib/i386-linux-gnu/libgio-2.0.so.0
#6  0x039126b3 in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#7  0x0563ad4c in start_thread () from /lib/i386-linux-gnu/libpthread.so.0
#8  0x00cdad3e in clone () from /lib/i386-linux-gnu/libc.so.6

Thread 11 (Thread 0xae0e4b40 (LWP 27741)):
#0  0x0563dcb6 in __pthread_mutex_unlock_usercnt () from /lib/i386-linux-gnu/libpthread.so.0
#1  0x00ce88a4 in pthread_mutex_unlock () from /lib/i386-linux-gnu/libc.so.6
#2  0x02f1016f in pa_mutex_unlock () from /usr/lib/i386-linux-gnu/libpulsecommon-1.1.so
#3  0x03b254aa in ?? () from /usr/lib/i386-linux-gnu/libpulse.so.0
#4  0x03b1375a in pa_mainloop_poll () from /usr/lib/i386-linux-gnu/libpulse.so.0
#5  0x03b13fb7 in pa_mainloop_iterate () from /usr/lib/i386-linux-gnu/libpulse.so.0
#6  0x03b14094 in pa_mainloop_run () from /usr/lib/i386-linux-gnu/libpulse.so.0
#7  0x03b2544e in ?? () from /usr/lib/i386-linux-gnu/libpulse.so.0
#8  0x02f11246 in ?? () from /usr/lib/i386-linux-gnu/libpulsecommon-1.1.so
#9  0x0563ad4c in start_thread () from /lib/i386-linux-gnu/libpthread.so.0
#10 0x00cdad3e in clone () from /lib/i386-linux-gnu/libc.so.6

Thread 10 (Thread 0xa8f86b40 (LWP 27743)):
#0  0x0067c416 in __kernel_vsyscall ()
#1  0x00cca3eb in read () from /lib/i386-linux-gnu/libc.so.6
#2  0x0392d6ae in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#3  0x038eebd2 in g_main_context_check () from /lib/i386-linux-gnu/libglib-2.0.so.0
#4  0x038ef042 in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#5  0x038ef201 in g_main_context_iteration () from /lib/i386-linux-gnu/libglib-2.0.so.0
#6  0x06a948e7 in QEventDispatcherGlib::processEvents (this=0xb36033e0, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#7  0x06a6050d in QEventLoop::processEvents (this=0xa8f86240, flags=...) at kernel/qeventloop.cpp:149
#8  0x06a607a9 in QEventLoop::exec (this=0xa8f86240, flags=...) at kernel/qeventloop.cpp:204
#9  0x0694994c in QThread::exec (this=0xa093630) at thread/qthread.cpp:501
#10 0x06a3db5d in QInotifyFileSystemWatcherEngine::run (this=0xa093630) at io/qfilesystemwatcher_inotify.cpp:248
#11 0x0694cde0 in QThreadPrivate::start (arg=0xa093630) at thread/qthread_unix.cpp:298
#12 0x0563ad4c in start_thread () from /lib/i386-linux-gnu/libpthread.so.0
#13 0x00cdad3e in clone () from /lib/i386-linux-gnu/libc.so.6

Thread 9 (Thread 0xa772db40 (LWP 27744)):
#0  0x04d9adcd in clock_gettime () from /lib/i386-linux-gnu/librt.so.1
#1  0x069ab315 in do_gettime (frac=0xa772d040, sec=0xa772d038) at tools/qelapsedtimer_unix.cpp:123
#2  qt_gettime () at tools/qelapsedtimer_unix.cpp:140
#3  0x06a95226 in QTimerInfoList::updateCurrentTime (this=0xb40092bc) at kernel/qeventdispatcher_unix.cpp:343
#4  0x06a94e16 in timerSourceCheckHelper (src=0xb4009288) at kernel/qeventdispatcher_glib.cpp:150
#5  timerSourceCheckHelper (src=0xb4009288) at kernel/qeventdispatcher_glib.cpp:144
#6  0x038eeb7b in g_main_context_check () from /lib/i386-linux-gnu/libglib-2.0.so.0
#7  0x038ef042 in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#8  0x038ef201 in g_main_context_iteration () from /lib/i386-linux-gnu/libglib-2.0.so.0
#9  0x06a948e7 in QEventDispatcherGlib::processEvents (this=0xb4001398, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#10 0x06a6050d in QEventLoop::processEvents (this=0xa772d270, flags=...) at kernel/qeventloop.cpp:149
#11 0x06a607a9 in QEventLoop::exec (this=0xa772d270, flags=...) at kernel/qeventloop.cpp:204
#12 0x0694994c in QThread::exec (this=0xa0f6dc0) at thread/qthread.cpp:501
#13 0x06949a3b in QThread::run (this=0xa0f6dc0) at thread/qthread.cpp:568
#14 0x0694cde0 in QThreadPrivate::start (arg=0xa0f6dc0) at thread/qthread_unix.cpp:298
#15 0x0563ad4c in start_thread () from /lib/i386-linux-gnu/libpthread.so.0
#16 0x00cdad3e in clone () from /lib/i386-linux-gnu/libc.so.6

Thread 8 (Thread 0xa6f2cb40 (LWP 27745)):
#0  0x04d9adcd in clock_gettime () from /lib/i386-linux-gnu/librt.so.1
#1  0x069ab315 in do_gettime (frac=0xa6f2c000, sec=0xa6f2bff8) at tools/qelapsedtimer_unix.cpp:123
#2  qt_gettime () at tools/qelapsedtimer_unix.cpp:140
#3  0x06a95226 in QTimerInfoList::updateCurrentTime (this=0xa2bb774) at kernel/qeventdispatcher_unix.cpp:343
#4  0x06a9557a in QTimerInfoList::timerWait (this=0xa2bb774, tm=...) at kernel/qeventdispatcher_unix.cpp:450
#5  0x06a93e23 in timerSourcePrepareHelper (src=<optimized out>, timeout=0xa6f2c0ec) at kernel/qeventdispatcher_glib.cpp:136
#6  0x038ee872 in g_main_context_prepare () from /lib/i386-linux-gnu/libglib-2.0.so.0
#7  0x038eefaf in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#8  0x038ef201 in g_main_context_iteration () from /lib/i386-linux-gnu/libglib-2.0.so.0
#9  0x06a948e7 in QEventDispatcherGlib::processEvents (this=0xa2bc220, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#10 0x06a6050d in QEventLoop::processEvents (this=0xa6f2c270, flags=...) at kernel/qeventloop.cpp:149
#11 0x06a607a9 in QEventLoop::exec (this=0xa6f2c270, flags=...) at kernel/qeventloop.cpp:204
#12 0x0694994c in QThread::exec (this=0xa2c30e8) at thread/qthread.cpp:501
#13 0x06949a3b in QThread::run (this=0xa2c30e8) at thread/qthread.cpp:568
#14 0x0694cde0 in QThreadPrivate::start (arg=0xa2c30e8) at thread/qthread_unix.cpp:298
#15 0x0563ad4c in start_thread () from /lib/i386-linux-gnu/libpthread.so.0
#16 0x00cdad3e in clone () from /lib/i386-linux-gnu/libc.so.6

Thread 7 (Thread 0xa5f2ab40 (LWP 27747)):
#0  0x0067c416 in __kernel_vsyscall ()
#1  0x0563e96b in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/i386-linux-gnu/libpthread.so.0
#2  0x00ce864c in pthread_cond_wait () from /lib/i386-linux-gnu/libc.so.6
#3  0x0694d350 in wait (time=4294967295, this=0xa2fe6b8) at thread/qwaitcondition_unix.cpp:86
#4  QWaitCondition::wait (this=0xa2fe608, mutex=0xa2fe7c8, time=4294967295) at thread/qwaitcondition_unix.cpp:158
#5  0x0088bacc in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0xa2fe5f0, th=0xa2fea28) at ../../../threadweaver/Weaver/WeaverImpl.cpp:365
#6  0x0088e95b in ThreadWeaver::WorkingHardState::waitForAvailableJob (this=0xa2fe868, th=0xa2fea28) at ../../../threadweaver/Weaver/WorkingHardState.cpp:80
#7  0x0088b63a in ThreadWeaver::WeaverImpl::waitForAvailableJob (this=0xa2fe5f0, th=0xa2fea28) at ../../../threadweaver/Weaver/WeaverImpl.cpp:356
#8  0x0088ea5c in ThreadWeaver::WorkingHardState::applyForWork (this=0xa2fe868, th=0xa2fea28) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#9  0x0088b533 in ThreadWeaver::WeaverImpl::applyForWork (this=0xa2fe5f0, th=0xa2fea28, previous=0xae2e570) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#10 0x0088d4e4 in ThreadWeaver::ThreadRunHelper::run (this=0xa5f2a2a4, parent=0xa2fe5f0, th=0xa2fea28) at ../../../threadweaver/Weaver/Thread.cpp:87
#11 0x0088d59a in ThreadWeaver::Thread::run (this=0xa2fea28) at ../../../threadweaver/Weaver/Thread.cpp:142
#12 0x0694cde0 in QThreadPrivate::start (arg=0xa2fea28) at thread/qthread_unix.cpp:298
#13 0x0563ad4c in start_thread () from /lib/i386-linux-gnu/libpthread.so.0
#14 0x00cdad3e in clone () from /lib/i386-linux-gnu/libc.so.6

Thread 6 (Thread 0xa5508b40 (LWP 27757)):
#0  0x0067c416 in __kernel_vsyscall ()
#1  0x0563e96b in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/i386-linux-gnu/libpthread.so.0
#2  0x00ce864c in pthread_cond_wait () from /lib/i386-linux-gnu/libc.so.6
#3  0x0694d350 in wait (time=4294967295, this=0xa2fe6b8) at thread/qwaitcondition_unix.cpp:86
#4  QWaitCondition::wait (this=0xa2fe608, mutex=0xa2fe7c8, time=4294967295) at thread/qwaitcondition_unix.cpp:158
#5  0x0088bacc in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0xa2fe5f0, th=0xa50c4e0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:365
#6  0x0088e95b in ThreadWeaver::WorkingHardState::waitForAvailableJob (this=0xa2fe868, th=0xa50c4e0) at ../../../threadweaver/Weaver/WorkingHardState.cpp:80
#7  0x0088b63a in ThreadWeaver::WeaverImpl::waitForAvailableJob (this=0xa2fe5f0, th=0xa50c4e0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:356
#8  0x0088ea5c in ThreadWeaver::WorkingHardState::applyForWork (this=0xa2fe868, th=0xa50c4e0) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#9  0x0088b533 in ThreadWeaver::WeaverImpl::applyForWork (this=0xa2fe5f0, th=0xa50c4e0, previous=0x0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#10 0x0088ea78 in ThreadWeaver::WorkingHardState::applyForWork (this=0xa2fe868, th=0xa50c4e0) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#11 0x0088b533 in ThreadWeaver::WeaverImpl::applyForWork (this=0xa2fe5f0, th=0xa50c4e0, previous=0xac914e0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#12 0x0088d4e4 in ThreadWeaver::ThreadRunHelper::run (this=0xa55082a4, parent=0xa2fe5f0, th=0xa50c4e0) at ../../../threadweaver/Weaver/Thread.cpp:87
#13 0x0088d59a in ThreadWeaver::Thread::run (this=0xa50c4e0) at ../../../threadweaver/Weaver/Thread.cpp:142
#14 0x0694cde0 in QThreadPrivate::start (arg=0xa50c4e0) at thread/qthread_unix.cpp:298
#15 0x0563ad4c in start_thread () from /lib/i386-linux-gnu/libpthread.so.0
#16 0x00cdad3e in clone () from /lib/i386-linux-gnu/libc.so.6

Thread 5 (Thread 0xa4d07b40 (LWP 27758)):
#0  0x0067c416 in __kernel_vsyscall ()
#1  0x0563e96b in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/i386-linux-gnu/libpthread.so.0
#2  0x00ce864c in pthread_cond_wait () from /lib/i386-linux-gnu/libc.so.6
#3  0x0694d350 in wait (time=4294967295, this=0xa2fe6b8) at thread/qwaitcondition_unix.cpp:86
#4  QWaitCondition::wait (this=0xa2fe608, mutex=0xa2fe7c8, time=4294967295) at thread/qwaitcondition_unix.cpp:158
#5  0x0088bacc in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0xa2fe5f0, th=0xa58dce0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:365
#6  0x0088e95b in ThreadWeaver::WorkingHardState::waitForAvailableJob (this=0xa2fe868, th=0xa58dce0) at ../../../threadweaver/Weaver/WorkingHardState.cpp:80
#7  0x0088b63a in ThreadWeaver::WeaverImpl::waitForAvailableJob (this=0xa2fe5f0, th=0xa58dce0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:356
#8  0x0088ea5c in ThreadWeaver::WorkingHardState::applyForWork (this=0xa2fe868, th=0xa58dce0) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#9  0x0088b533 in ThreadWeaver::WeaverImpl::applyForWork (this=0xa2fe5f0, th=0xa58dce0, previous=0x0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#10 0x0088ea78 in ThreadWeaver::WorkingHardState::applyForWork (this=0xa2fe868, th=0xa58dce0) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#11 0x0088b533 in ThreadWeaver::WeaverImpl::applyForWork (this=0xa2fe5f0, th=0xa58dce0, previous=0xaf8c5e0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#12 0x0088d4e4 in ThreadWeaver::ThreadRunHelper::run (this=0xa4d072a4, parent=0xa2fe5f0, th=0xa58dce0) at ../../../threadweaver/Weaver/Thread.cpp:87
#13 0x0088d59a in ThreadWeaver::Thread::run (this=0xa58dce0) at ../../../threadweaver/Weaver/Thread.cpp:142
#14 0x0694cde0 in QThreadPrivate::start (arg=0xa58dce0) at thread/qthread_unix.cpp:298
#15 0x0563ad4c in start_thread () from /lib/i386-linux-gnu/libpthread.so.0
#16 0x00cdad3e in clone () from /lib/i386-linux-gnu/libc.so.6

Thread 4 (Thread 0xa4506b40 (LWP 27759)):
#0  0x0067c416 in __kernel_vsyscall ()
#1  0x0563e96b in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/i386-linux-gnu/libpthread.so.0
#2  0x00ce864c in pthread_cond_wait () from /lib/i386-linux-gnu/libc.so.6
#3  0x0694d350 in wait (time=4294967295, this=0xa2fe6b8) at thread/qwaitcondition_unix.cpp:86
#4  QWaitCondition::wait (this=0xa2fe608, mutex=0xa2fe7c8, time=4294967295) at thread/qwaitcondition_unix.cpp:158
#5  0x0088bacc in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0xa2fe5f0, th=0xa58e3e8) at ../../../threadweaver/Weaver/WeaverImpl.cpp:365
#6  0x0088e95b in ThreadWeaver::WorkingHardState::waitForAvailableJob (this=0xa2fe868, th=0xa58e3e8) at ../../../threadweaver/Weaver/WorkingHardState.cpp:80
#7  0x0088b63a in ThreadWeaver::WeaverImpl::waitForAvailableJob (this=0xa2fe5f0, th=0xa58e3e8) at ../../../threadweaver/Weaver/WeaverImpl.cpp:356
#8  0x0088ea5c in ThreadWeaver::WorkingHardState::applyForWork (this=0xa2fe868, th=0xa58e3e8) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#9  0x0088b533 in ThreadWeaver::WeaverImpl::applyForWork (this=0xa2fe5f0, th=0xa58e3e8, previous=0x0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#10 0x0088ea78 in ThreadWeaver::WorkingHardState::applyForWork (this=0xa2fe868, th=0xa58e3e8) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#11 0x0088b533 in ThreadWeaver::WeaverImpl::applyForWork (this=0xa2fe5f0, th=0xa58e3e8, previous=0xae3f2a0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#12 0x0088d4e4 in ThreadWeaver::ThreadRunHelper::run (this=0xa45062a4, parent=0xa2fe5f0, th=0xa58e3e8) at ../../../threadweaver/Weaver/Thread.cpp:87
#13 0x0088d59a in ThreadWeaver::Thread::run (this=0xa58e3e8) at ../../../threadweaver/Weaver/Thread.cpp:142
#14 0x0694cde0 in QThreadPrivate::start (arg=0xa58e3e8) at thread/qthread_unix.cpp:298
#15 0x0563ad4c in start_thread () from /lib/i386-linux-gnu/libpthread.so.0
#16 0x00cdad3e in clone () from /lib/i386-linux-gnu/libc.so.6

Thread 3 (Thread 0xa3cfdb40 (LWP 27760)):
#0  0x0067c416 in __kernel_vsyscall ()
#1  0x0563e96b in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/i386-linux-gnu/libpthread.so.0
#2  0x00ce864c in pthread_cond_wait () from /lib/i386-linux-gnu/libc.so.6
#3  0xb7089263 in ?? () from /usr/lib/i386-linux-gnu/libQtWebKit.so.4
#4  0xb708937f in ?? () from /usr/lib/i386-linux-gnu/libQtWebKit.so.4
#5  0x0563ad4c in start_thread () from /lib/i386-linux-gnu/libpthread.so.0
#6  0x00cdad3e in clone () from /lib/i386-linux-gnu/libc.so.6

Thread 2 (Thread 0x9dc91b40 (LWP 27766)):
#0  0x0067c416 in __kernel_vsyscall ()
#1  0x0563e96b in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/i386-linux-gnu/libpthread.so.0
#2  0x00ce864c in pthread_cond_wait () from /lib/i386-linux-gnu/libc.so.6
#3  0x02d2f029 in ?? () from /usr/lib/i386-linux-gnu/libQtScript.so.4
#4  0x02d2f06f in ?? () from /usr/lib/i386-linux-gnu/libQtScript.so.4
#5  0x0563ad4c in start_thread () from /lib/i386-linux-gnu/libpthread.so.0
#6  0x00cdad3e in clone () from /lib/i386-linux-gnu/libc.so.6

Thread 1 (Thread 0xb5e5eac0 (LWP 27735)):
[KCrash Handler]
#7  0x00000000 in ?? ()
#8  0x012b104e in qDeleteAll<QList<Collections::Collection*>::const_iterator> (end=..., begin=...) at /usr/include/qt4/QtCore/qalgorithms.h:322
#9  qDeleteAll<SmartPointerList<Collections::Collection> > (c=...) at /usr/include/qt4/QtCore/qalgorithms.h:330
#10 CollectionManager::~CollectionManager (this=0x9ff5c78, __in_chrg=<optimized out>) at ../../src/core-impl/collections/support/CollectionManager.cpp:137
#11 0x012b1292 in CollectionManager::~CollectionManager (this=0x9ff5c78, __in_chrg=<optimized out>) at ../../src/core-impl/collections/support/CollectionManager.cpp:145
#12 0x012af29a in CollectionManager::destroy () at ../../src/core-impl/collections/support/CollectionManager.cpp:107
#13 0x013fbc6a in App::~App (this=0xbfce5ca4, __in_chrg=<optimized out>) at ../../src/App.cpp:248
#14 0x0804fc3c in main (argc=0, argv=0x0) at ../../src/main.cpp:303

This bug may be a duplicate of or related to bug 285951.

Possible duplicates by query: bug 309501, bug 308752, bug 308312, bug 308077, bug 307714.

Reported using DrKonqi
Comment 1 Myriam Schweingruber 2012-11-17 03:13:57 UTC
Maggie, please, don't use the bug tracker as a support forum, use the forum on http://forum.kde.org or ask in #amarok on irc.freenode.net. 

This crash is fixed since quite some time, please update your installation.

To update Amarok on your distribution, please have a look at http://kubuntu.org/news/amarok-26

*** This bug has been marked as a duplicate of bug 285951 ***
Comment 2 maggieswebb 2012-11-18 15:12:26 UTC
please tell me how to update the software.




--- On Fri, 11/16/12, Myriam Schweingruber <myriam@kde.org> wrote:

> From: Myriam Schweingruber <myriam@kde.org>
> Subject: [Bug 310233] Another Crash.  You said to update but didn't tell me how.
> To: maggieswebb@yahoo.com
> Date: Friday, November 16, 2012, 9:13 PM
> https://bugs.kde.org/show_bug.cgi?id=310233
> 
> Myriam Schweingruber <myriam@kde.org>
> changed:
> 
>            What 
>   |Removed           
>          |Added
> ----------------------------------------------------------------------------
>          
>    Status|UNCONFIRMED     
>            |RESOLVED
>          Resolution|--- 
>                
>        |DUPLICATE
> 
> --- Comment #1 from Myriam Schweingruber <myriam@kde.org>
> ---
> Maggie, please, don't use the bug tracker as a support
> forum, use the forum on
> http://forum.kde.org or ask in #amarok on
> irc.freenode.net. 
> 
> This crash is fixed since quite some time, please update
> your installation.
> 
> To update Amarok on your distribution, please have a look
> at
> http://kubuntu.org/news/amarok-26
> 
> *** This bug has been marked as a duplicate of bug 285951
> ***
> 
> -- 
> You are receiving this mail because:
> You reported the bug.
>
Comment 3 Myriam Schweingruber 2012-11-19 12:03:51 UTC
(In reply to comment #2)
> please tell me how to update the software.

> > --- Comment #1 from Myriam Schweingruber <myriam@kde.org>
> > ---
> > Maggie, please, don't use the bug tracker as a support
> > forum, use the forum on
> > http://forum.kde.org or ask in #amarok on
> > irc.freenode.net. 
> > 
> > This crash is fixed since quite some time, please update
> > your installation.
> > 
> > To update Amarok on your distribution, please have a look
> > at
> > http://kubuntu.org/news/amarok-26

See the link above. Please read the mails  you get completely, and check the links you are given before adding new comments.